# $Revision: 1.6 $, $Date: 2005/12/22 00:08:29 $
%define		mod_name	whois
%define 	apxs		/usr/sbin/apxs
Summary:	Apache module: WHOIS->WEB gateway
Summary(pl):	Modu Apache'a: bramka WHOIS->WWW
Name:		apache-mod_%{mod_name}
Version:	0.1
Release:	3
License:	distributable
Group:		Networking/Daemons
Source0:	http://dl.sourceforge.net/modwhois/mod_%{mod_name}-%{version}.tar.gz
# Source0-md5:	8b4f29868c221b2d54f59b7a0c090698
Source1:	%{name}.conf
URL:		http://modwhois.sourceforge.net/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0
Requires:	apache(modules-api) = %apache_modules_api
Requires:	apache >= 2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
Apache module: WHOIS->WEB gateway.

%description -l pl
Modu Apache'a: bramka WHOIS->WWW.

%prep
%setup -q -n mod_%{mod_name}

%build
%{apxs} -c mod_%{mod_name}.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/httpd.conf,%{_pkglibdir}}

install .libs/mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf/83_mod-whois.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
fi

%postun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc LICENSE README
%attr(755,root,root) %{_pkglibdir}/*.so
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf/*.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_whois.spec,v $
Revision 1.6  2005/12/22 00:08:29  glen
- rel 3 (rebuild with new apache)

Revision 1.5  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.4  2004/10/10 12:05:10  havner
- rel up for rebuild with new apache/apr

Revision 1.3  2004/09/19 19:34:03  radek
- release 1: unified

Revision 1.2  2004/03/16 22:30:09  qboosh
- pl

Revision 1.1  2004/03/16 20:36:13  arekm
- new
